
#include <IRremote.h>

IRsend irsend;

char receivedChar;
boolean newData = false;

void setup() {
  Serial.begin(9600);
  Serial.println("IR transmitter code, to simulate Tata Sky remote");
  pinMode (13,OUTPUT);
  digitalWrite(13,LOW);
        
}

void loop() {
  recvOneChar();
  checkAndSendCode();
}


void recvOneChar() {
  if (Serial.available() > 0) {
    receivedChar = Serial.read();
    newData = true;
    
  }
}


void   checkAndSendCode() {
  if (newData == true)
  {
    Serial.print("Received new data, ");
    Serial.println(receivedChar);
    switch(receivedChar){
      case '0':
        Serial.println("Sending signal for 0");
        irsend.sendSony(0xc00000, 24);
        digitalWrite(13,HIGH);
        break;
      case '1':
        Serial.println("Sending signal for 1");
        irsend.sendSony(0xc00001, 24);
        digitalWrite(13,HIGH);
        break;
      case '2':
        Serial.println("Sending signal for 2");
        irsend.sendSony(0xc00002, 24);
        digitalWrite(13,HIGH);
        break;
      case '3':
        Serial.println("Sending signal for 3");
        irsend.sendSony(0xc00003, 24);
        digitalWrite(13,HIGH);
        break;
      case '4':
        Serial.println("Sending signal for 4");
        irsend.sendSony(0xc00004, 24);
        digitalWrite(13,HIGH);
        break;
      case '5':
        Serial.println("Sending signal for 5");
        irsend.sendSony(0xc00005, 24);
        digitalWrite(13,HIGH);
        break;
      case '6':
        Serial.println("Sending signal for 6");
        irsend.sendSony(0xc00006, 24);
        digitalWrite(13,HIGH);
        break;
      case '7':
        Serial.println("Sending signal for 7");
        irsend.sendSony(0xc00007, 24);
        digitalWrite(13,HIGH);
        break;
      case '8':
        Serial.println("Sending signal for 8");
        irsend.sendSony(0xc00008, 24);
        digitalWrite(13,HIGH);
        break;
      case '9':
        Serial.println("Sending signal for 9");
        irsend.sendSony(0xc00009, 24);
        digitalWrite(13,HIGH);
        break;
      case 'd':
        Serial.println("Sending signal for d");
        irsend.sendSony(0xc0005B, 24);
        digitalWrite(13,HIGH);
        break;
      case 'a':
        Serial.println("Sending signal for a");
        irsend.sendSony(0xc0005A, 24);
        digitalWrite(13,HIGH);
        break;
      case 'w':
        Serial.println("Sending signal for w");
        irsend.sendSony(0xc00058, 24);
        //delay(90);
        //irsend.sendSony(0xc00058, 24);
        digitalWrite(13,HIGH);
        break;
      case 's':
        Serial.println("Sending signal for s");
        irsend.sendSony(0xc00059, 24);
        digitalWrite(13,HIGH);
        break;
      case 'u'://blue
        Serial.println("Sending signal for u");
        irsend.sendSony(0xc00070, 24);
        digitalWrite(13,HIGH);
        break;
      case 'y'://yellow
        Serial.println("Sending signal for y");
        irsend.sendSony(0xc0006F, 24);
        digitalWrite(13,HIGH);
        break;
      case 'g'://green
        Serial.println("Sending signal for g");
        irsend.sendSony(0xc0006E, 24);
        digitalWrite(13,HIGH);
        break;
      case 'e'://red
        Serial.println("Sending signal for e");
        irsend.sendSony(0xc0006D, 24);
        digitalWrite(13,HIGH);
        break;
      case 'p'://Play
        Serial.println("Sending signal for p");
        irsend.sendSony(0xc0005C, 24);
        digitalWrite(13,HIGH);
        
      }

  }
  delay(500);
  digitalWrite(13,LOW);
  newData = false;
}
